`

    Imports QuickFix

    Module MyModule
      Sub Main(ByVal CmdArgs() As String)
        If(CmdArgs <> 1) Then
          Return
        End If

        Dim fileName As String = CmdArgs(1)

        Try
          Dim settings As New SessionSettings(fileName)
          Dim application As New MyApplication()
          Dim storeFactory As New FileStoreFactory(settings)
          Dim logFactory As New FileLogFactory(settings)
          Dim messageFactory As New DefaultMessageFactory()
          Dim acceptor As New SocketAcceptor(application, storeFactory, settings, logFactory, messageFactory)
          acceptor.start()
          'While( condition = True )
          '  do something
          'End While
          acceptor.stop()
        Catch e As ConfigError
          Console.WriteLine(e)
        End Try
      End Sub
    End Module

`